API key, not necessarily a JWT. Server derives Organization, permitted actions and Corpus scope; every resource access is authorized.
Path Parameters
corpus_id
string
required
Minimum string length: 1
Response
Successful response
corpus_id
string
required
Minimum string length: 1
name
string
required
Minimum string length: 1
effective_retrieval
object
required
Pin a plugin-provided profile when resolving config. Explicit fields override default fields by logical name; unmapped source data remains preserved. getCorpus returns the effective resolved fields. The only built-in profile, example.editorial, is illustrative (paired with the example extension namespace), not a product default; an uninstalled profile is 422 unsupported_profile.
Show child attributes
archived
boolean
Reversible visibility fence; archived corpora retain all data.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Quivr","description":"An open-source engine that turns continuous content streams into search and alerts.","colors":{"primary":"#5b3fd6","light":"#b29aff","dark":"#4b31be"},"api":{"playground":{"display":"interactive"}},"integrations":{"posthog":{"apiKey":"phc_pSFWFc94275asrYSX5PQffv7wE6vUsGDdUnBaDobgtMN","apiHost":"https://us.i.posthog.com","sessionRecording":false}},"contextual":{"options":["copy","view","chatgpt","claude","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"thevibecompany","hasAudioNarration":false,"actualSubdomain":"thevibecompany","customDomains":["docs.quivr.thevibecompany.co"],"gitSource":{"type":"github","owner":"the-vibe-company","repo":"quivr","deployBranch":"main","contentDirectory":"docs-site","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae36952217e82a3b9255c43","clientVersion":"0.0.4142","searchFilterCounts":[{"language":"default","tag":"Reference","count":108},{"language":"default","tag":"Endpoints","count":100},{"language":"default","tag":"Documentation","count":52},{"language":"default","tag":"Admin","count":28},{"language":"default","tag":"Run Quivr","count":27},{"language":"default","tag":"Connectors","count":15},{"language":"default","tag":"Use Quivr","count":12},{"language":"default","tag":"Corpora","count":10},{"language":"default","tag":"Subscriptions","count":9},{"language":"default","tag":"Extend Quivr","count":8}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/corpora/get-corpus","slug":"/api-reference/corpora/get-corpus","pageMetadata":{"title":"Get corpus","description":"Read effective resolved configuration.","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/corpora/{corpus_id}","href":"/api-reference/corpora/get-corpus","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Read effective resolved configuration.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get corpus","description":"Read effective resolved configuration.","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/corpora/{corpus_id}","href":"/api-reference/corpora/get-corpus","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"getCorpus","description":"Read effective resolved configuration.","responses":{"200":"eb3e9d02-f220-4aa0-82c8-0ae32b90049b","default":"6e33cfeb-5fbc-4419-a450-fe45bd3f87cf"},"parameters":["a2e67ecc-d6b1-434b-b603-895c9b9015c6"],"x-required-permissions":["corpora:read"],"tags":["Corpora"],"summary":"Get corpus","method":"get","type":"path","servers":[],"security":["da9c3b19-c354-4069-aa95-1130425613d3"],"path":"/v0/corpora/{corpus_id}","baseUrlOptions":[],"title":"Get corpus","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"a2e67ecc-d6b1-434b-b603-895c9b9015c6":{"name":"corpus_id","in":"path","required":true,"schema":{"type":"string","minLength":1,"isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"responses":{"eb3e9d02-f220-4aa0-82c8-0ae32b90049b":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"corpus_id":{"type":"string","minLength":1,"isRequired":true,"uniqueKey":"corpus_id","typeLabel":"string"},"name":{"type":"string","minLength":1,"isRequired":true,"uniqueKey":"name","typeLabel":"string"},"effective_retrieval":{"type":"object","additionalProperties":false,"properties":{"plugin_profile":{"type":"string","minLength":1,"uniqueKey":"effective_retrieval.plugin_profile","typeLabel":"string"},"fields":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","minLength":1,"isRequired":true,"uniqueKey":"effective_retrieval.fields.items.[INDEX].name","typeLabel":"string"},"type":{"type":"string","enum":["string","number","boolean","datetime","string_array"],"isRequired":true,"uniqueKey":"effective_retrieval.fields.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"roles":{"type":"array","items":{"type":"string","enum":["search","filter"],"uniqueKey":"effective_retrieval.fields.items.[INDEX].roles.items.[INDEX]","typeLabel":"enum\u003cstring>"},"minItems":1,"isRequired":true,"uniqueKey":"effective_retrieval.fields.items.[INDEX].roles","typeLabel":"enum\u003cstring>[]"},"source_pointer":{"type":"string","minLength":1,"uniqueKey":"effective_retrieval.fields.items.[INDEX].source_pointer","typeLabel":"string"},"boost":{"type":"integer","minimum":1,"maximum":100,"default":1,"description":"Positive integer BM25F weight, allowed only with the search role. For ratios 3/2/2/1.5/1 use 6/4/4/3/2.","uniqueKey":"effective_retrieval.fields.items.[INDEX].boost","typeLabel":"integer"},"analyzer":{"type":"string","enum":["folded","french_light"],"description":"Keyword analyzer for a separate copy of the field, also applied to queries. folded lowercases and folds accents and ligatures in any language; french_light also removes French stopwords and lightly stems. Omit for no copy; canonical text and vectors are unchanged.","uniqueKey":"effective_retrieval.fields.items.[INDEX].analyzer","typeLabel":"enum\u003cstring>"},"part_role":{"type":"string","enum":["title","body","caption","transcript"],"description":"Collect canonical text Parts of this role instead of source_pointer. Requires the search role.","uniqueKey":"effective_retrieval.fields.items.[INDEX].part_role","typeLabel":"enum\u003cstring>"},"part_key_prefix":{"type":"string","maxLength":200,"description":"Optional key prefix to narrow part_role, for example slugline-.","uniqueKey":"effective_retrieval.fields.items.[INDEX].part_key_prefix","typeLabel":"string"},"value_pointer":{"type":"string","minLength":1,"description":"For a string_array source, select this JSON Pointer from each array entry and flatten its string or string-array values.","uniqueKey":"effective_retrieval.fields.items.[INDEX].value_pointer","typeLabel":"string"}},"required":["name","type","roles"],"description":"v0 logical field mapping. name is a logical name matching ^[a-z][a-z0-9_]{0,63}$, never a search-engine field name. source_pointer is an RFC 6901 JSON Pointer into the canonical source view of a Version, rooted at /manifest, /provenance or /extensions/{namespace} with a declared namespace (built in, or owned by the startup-pinned plugin); other roots are rejected as invalid_mapping. Exactly one of source_pointer and part_role is required; Core validates this as invalid_mapping, along with role/type compatibility (search requires string or string_array). A search field named title replaces the projected title; other search fields add text once per Record Version. Filter roles are consumed by SearchFilter.metadata. New generations index each search field once per item with its boost; older generations retain passage scoring until rebuilt.","uniqueKey":"effective_retrieval.fields.items.[INDEX]","typeLabel":"object"},"uniqueKey":"effective_retrieval.fields","typeLabel":"object[]"}},"required":[],"description":"Pin a plugin-provided profile when resolving config. Explicit fields override default fields by logical name; unmapped source data remains preserved. getCorpus returns the effective resolved fields. The only built-in profile, example.editorial, is illustrative (paired with the example extension namespace), not a product default; an uninstalled profile is 422 unsupported_profile.","isRequired":true,"uniqueKey":"effective_retrieval","typeLabel":"object"},"archived":{"type":"boolean","description":"Reversible visibility fence; archived corpora retain all data.","uniqueKey":"archived","typeLabel":"boolean"}},"required":["corpus_id","name","effective_retrieval"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"corpus_id":"\u003cstring>","name":"\u003cstring>","effective_retrieval":{"plugin_profile":"\u003cstring>","fields":[{"name":"\u003cstring>","type":"string","roles":["search"],"source_pointer":"\u003cstring>","boost":1,"analyzer":"folded","part_role":"title","part_key_prefix":"\u003cstring>","value_pointer":"\u003cstring>"}]},"archived":true}}},"exampleType":"generated"}},"exampleType":"generated"},"6e33cfeb-5fbc-4419-a450-fe45bd3f87cf":{"description":"Structured error; see contract HTTP mapping.","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"code":{"type":"string","minLength":1,"isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"type":"string","minLength":1,"isRequired":true,"uniqueKey":"message","typeLabel":"string"},"retryable":{"type":"boolean","isRequired":true,"uniqueKey":"retryable","typeLabel":"boolean"},"request_id":{"type":"string","description":"Bounded caller X-Request-ID, or an engine-generated correlation ID.","uniqueKey":"request_id","typeLabel":"string"},"trace_id":{"type":"string","description":"W3C trace ID when a trace context is present.","uniqueKey":"trace_id","typeLabel":"string"},"span_id":{"type":"string","description":"W3C span ID of the API handler when a trace context is present.","uniqueKey":"span_id","typeLabel":"string"},"field":{"type":"string","minLength":1,"description":"JSON Pointer (RFC 6901) to the request member that caused a 422, when known (for example /config/url or /credential/secret/token on connector commands).","uniqueKey":"field","typeLabel":"string"},"resync_url":{"type":"string","format":"uri-reference","uniqueKey":"resync_url","typeLabel":"string\u003curi-reference>"}},"required":["code","message","retryable"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"\u003cstring>","message":"\u003cstring>","retryable":true,"request_id":"\u003cstring>","trace_id":"\u003cstring>","span_id":"\u003cstring>","field":"\u003cstring>","resync_url":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"da9c3b19-c354-4069-aa95-1130425613d3":{"ApiKey":{"type":"http","scheme":"bearer","description":"API key, not necessarily a JWT. Server derives Organization, permitted actions and Corpus scope; every resource access is authorized.","scopes":[],"schemeName":"ApiKey"}}},"servers":{},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"API key, not necessarily a JWT. Server derives Organization, permitted actions and Corpus scope; every resource access is authorized.","scopes":[],"schemeName":"ApiKey"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"API key, not necessarily a JWT. Server derives Organization, permitted actions and Corpus scope; every resource access is authorized.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"ApiKey","name":"Authorization"}],"title":"ApiKey"}]},"originalFileLocation":"openapi.yaml"},"subdomain":"thevibecompany","siteName":"Quivr","title":"Get corpus - Quivr","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-13T09:57:32.278Z","originalFileLocation":"api-reference/corpora/get-corpus.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Read effective resolved configuration.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Quivr\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/thevibecompany/_generated/favicon/apple-touch-icon.png?v=3\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/thevibecompany/_generated/favicon/favicon-32x32.png?v=3\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/thevibecompany/_generated/favicon/favicon-16x16.png?v=3\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/thevibecompany/_generated/favicon/favicon.ico?v=3\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get corpus - Quivr\">\u003cmeta data-mint-head property=\"og:description\" content=\"Read effective resolved configuration.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Quivr\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.quivr.thevibecompany.co/api-reference/corpora/get-corpus\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://thevibecompany.mintlify.site/_mintlify/api/og/v2?division=Corpora\u0026amp;title=Get+corpus\u0026amp;description=Read+effective+resolved+configuration.\u0026amp;theme=023e5d222c667e5b3829d1ff\u0026amp;signature=d4f3a849b4ae60c4c3cfbfbef3e3df683435bccc1c64b5e762868f92169ce74b\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get corpus - Quivr\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Read effective resolved configuration.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://thevibecompany.mintlify.site/_mintlify/api/og/v2?division=Corpora\u0026amp;title=Get+corpus\u0026amp;description=Read+effective+resolved+configuration.\u0026amp;theme=023e5d222c667e5b3829d1ff\u0026amp;signature=d4f3a849b4ae60c4c3cfbfbef3e3df683435bccc1c64b5e762868f92169ce74b\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"https://mintlify.s3.us-west-1.amazonaws.com/thevibecompany/_generated/favicon/browserconfig.xml?v=3\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Quivr\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#5b3fd6\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.quivr.thevibecompany.co/api-reference/corpora/get-corpus\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/corpora/get-corpus.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.quivr.thevibecompany.co/#organization\",\"name\":\"Quivr\",\"url\":\"https://docs.quivr.thevibecompany.co\"},{\"@type\":\"WebSite\",\"@id\":\"https://docs.quivr.thevibecompany.co#website\",\"name\":\"Quivr\",\"url\":\"https://docs.quivr.thevibecompany.co\",\"publisher\":{\"@id\":\"https://docs.quivr.thevibecompany.co/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.quivr.thevibecompany.co/api-reference/corpora/get-corpus#webpage\",\"url\":\"https://docs.quivr.thevibecompany.co/api-reference/corpora/get-corpus\",\"name\":\"Get corpus\",\"description\":\"Read effective resolved configuration.\",\"dateModified\":\"2026-10-13T09:57:32.278Z\",\"isPartOf\":{\"@id\":\"https://docs.quivr.thevibecompany.co#website\"},\"breadcrumb\":{\"@id\":\"https://docs.quivr.thevibecompany.co/api-reference/corpora/get-corpus#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.quivr.thevibecompany.co/api-reference/corpora/get-corpus#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://docs.quivr.thevibecompany.co/api-reference/version/read-the-running-quivr-build\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Corpora\",\"item\":\"https://docs.quivr.thevibecompany.co/api-reference/corpora/get-corpus-stats\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Get corpus\",\"item\":\"https://docs.quivr.thevibecompany.co/api-reference/corpora/get-corpus\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.quivr.thevibecompany.co/api-reference/corpora/get-corpus#apireference\",\"headline\":\"Get corpus\",\"name\":\"Get corpus\",\"description\":\"Read effective resolved configuration.\",\"url\":\"https://docs.quivr.thevibecompany.co/api-reference/corpora/get-corpus\",\"mainEntityOfPage\":{\"@id\":\"https://docs.quivr.thevibecompany.co/api-reference/corpora/get-corpus#webpage\"},\"dateModified\":\"2026-10-13T09:57:32.278Z\",\"publisher\":{\"@id\":\"https://docs.quivr.thevibecompany.co/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.quivr.thevibecompany.co#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Quivr\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Quivr\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/corpora/get-corpus.md","siteName":"Quivr","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":""}]},{"tab":"Reference","groups":[{"group":"Quivr 2","pages":[{"title":"Versions and compatibility","href":"/reference/compatibility"},{"title":"Known limits","href":"/reference/known-limits"}]},{"group":"HTTP API","pages":[{"title":"API overview","href":"/api-reference/overview"}]},{"group":"Endpoints","pages":[{"group":"Version","pages":[{"title":"Read the running Quivr build","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/version","href":"/api-reference/version/read-the-running-quivr-build"}]},{"group":"Records","pages":[{"title":"List records","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/records","href":"/api-reference/records/list-records"},{"title":"Ingest record","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/records","href":"/api-reference/records/ingest-record"},{"title":"Count records","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/records/count","href":"/api-reference/records/count-records"},{"title":"Ingest batch","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/records/batch","href":"/api-reference/records/ingest-batch"},{"title":"Withdraw record","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/records/withdrawals","href":"/api-reference/records/withdraw-record"},{"title":"Get record","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/records/{record_id}","href":"/api-reference/records/get-record"},{"title":"Get version","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/records/{record_id}/versions/{version_id}","href":"/api-reference/records/get-version"}]},{"group":"Facets","pages":[{"title":"Count facets","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/facets","href":"/api-reference/facets/count-facets"}]},{"group":"Corpora","pages":[{"title":"Get corpus stats","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/corpora/{corpus_id}/stats","href":"/api-reference/corpora/get-corpus-stats"},{"title":"List corpora","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/corpora","href":"/api-reference/corpora/list-corpora"},{"title":"Create corpus","description":"Explicit Corpus creation. Same creation route-family key and canonical request replays the same Corpus. Requires corpora:write.","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/corpora","href":"/api-reference/corpora/create-corpus"},{"title":"Get corpus","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/corpora/{corpus_id}","href":"/api-reference/corpora/get-corpus"},{"title":"Rename corpus","description":"Rename an authorized corpus. Does not change its identity or content. Requires a separate administrative grant.","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /v0/corpora/{corpus_id}","href":"/api-reference/corpora/rename-corpus"},{"title":"Archive corpus","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/corpora/{corpus_id}/archive","href":"/api-reference/corpora/archive-corpus"},{"title":"Unarchive corpus","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/corpora/{corpus_id}/unarchive","href":"/api-reference/corpora/unarchive-corpus"},{"title":"Configure retrieval","deprecated":null,"version":null,"openapi":"/openapi.yaml put /v0/corpora/{corpus_id}/retrieval","href":"/api-reference/corpora/configure-retrieval"},{"title":"List vector spaces","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/corpora/{corpus_id}/vector-spaces","href":"/api-reference/corpora/list-vector-spaces"},{"title":"Rebuild corpus projection","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/corpora/{corpus_id}/rebuilds","href":"/api-reference/corpora/rebuild-corpus-projection"}]},{"group":"Ingestion receipts","pages":[{"title":"Get receipt","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/ingestion-receipts/{receipt_id}","href":"/api-reference/ingestion-receipts/get-receipt"}]},{"group":"Uploads","pages":[{"title":"Create upload","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/uploads","href":"/api-reference/uploads/create-upload"},{"title":"Confirm upload","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/uploads/{upload_id}/confirm","href":"/api-reference/uploads/confirm-upload"},{"title":"Get upload","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/uploads/{upload_id}","href":"/api-reference/uploads/get-upload"}]},{"group":"Blobs","pages":[{"title":"Get blob","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/blobs/{blob_id}","href":"/api-reference/blobs/get-blob"}]},{"group":"Operations","pages":[{"title":"Get operation","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/operations/{operation_id}","href":"/api-reference/operations/get-operation"},{"title":"Cancel operation","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/operations/{operation_id}/cancel","href":"/api-reference/operations/cancel-operation"},{"title":"Rerun operation","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/operations/{operation_id}/rerun","href":"/api-reference/operations/rerun-operation"},{"title":"Pause operation","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/operations/{operation_id}/pause","href":"/api-reference/operations/pause-operation"},{"title":"Resume operation","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/operations/{operation_id}/resume","href":"/api-reference/operations/resume-operation"}]},{"group":"Changes","pages":[{"title":"Poll changes","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/changes","href":"/api-reference/changes/poll-changes"},{"title":"Stream changes","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/changes/stream","href":"/api-reference/changes/stream-changes"}]},{"group":"Saved queries","pages":[{"title":"Create saved query","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/saved-queries","href":"/api-reference/saved-queries/create-saved-query"},{"title":"Get saved query","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/saved-queries/{saved_query_id}","href":"/api-reference/saved-queries/get-saved-query"},{"title":"Get saved query version","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/saved-queries/{saved_query_id}/versions/{version_id}","href":"/api-reference/saved-queries/get-saved-query-version"},{"title":"Create saved query version","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/saved-queries/{saved_query_id}/versions","href":"/api-reference/saved-queries/create-saved-query-version"},{"title":"Delete saved query","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/saved-queries/{saved_query_id}/delete","href":"/api-reference/saved-queries/delete-saved-query"},{"title":"Rename saved query","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/saved-queries/{saved_query_id}/rename","href":"/api-reference/saved-queries/rename-saved-query"}]},{"group":"Subscriptions","pages":[{"title":"List subscriptions","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/subscriptions","href":"/api-reference/subscriptions/list-subscriptions"},{"title":"Create subscription","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/subscriptions","href":"/api-reference/subscriptions/create-subscription"},{"title":"Get subscription","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/subscriptions/{subscription_id}","href":"/api-reference/subscriptions/get-subscription"},{"title":"Get subscription version","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/subscriptions/{subscription_id}/versions/{version_id}","href":"/api-reference/subscriptions/get-subscription-version"},{"title":"Create subscription version","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/subscriptions/{subscription_id}/versions","href":"/api-reference/subscriptions/create-subscription-version"},{"title":"Delete subscription","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/subscriptions/{subscription_id}/delete","href":"/api-reference/subscriptions/delete-subscription"},{"title":"Disable subscription","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/subscriptions/{subscription_id}/disable","href":"/api-reference/subscriptions/disable-subscription"},{"title":"Enable subscription","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/subscriptions/{subscription_id}/enable","href":"/api-reference/subscriptions/enable-subscription"},{"title":"Rename subscription","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/subscriptions/{subscription_id}/rename","href":"/api-reference/subscriptions/rename-subscription"}]},{"group":"Subscription previews","pages":[{"title":"Preview subscription","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/subscription-previews","href":"/api-reference/subscription-previews/preview-subscription"}]},{"group":"Matches","pages":[{"title":"List matches","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/matches","href":"/api-reference/matches/list-matches"},{"title":"Get match","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/matches/{match_id}","href":"/api-reference/matches/get-match"}]},{"group":"Deliveries","pages":[{"title":"Get delivery","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/deliveries/{delivery_id}","href":"/api-reference/deliveries/get-delivery"},{"title":"List delivery attempts","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/deliveries/{delivery_id}/attempts","href":"/api-reference/deliveries/list-delivery-attempts"}]},{"group":"Connectors","pages":[{"title":"List connectors","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/connectors","href":"/api-reference/connectors/list-connectors"},{"title":"Create connector","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/connectors","href":"/api-reference/connectors/create-connector"},{"title":"List push token metadata","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/connectors/{connector_id}/tokens","href":"/api-reference/connectors/list-push-token-metadata"},{"title":"Issue a source-scoped push token","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/connectors/{connector_id}/tokens","href":"/api-reference/connectors/issue-a-source-scoped-push-token"},{"title":"Replace a push token with five minutes of overlap","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/connectors/{connector_id}/tokens/{token_id}/rotate","href":"/api-reference/connectors/replace-a-push-token-with-five-minutes-of-overlap"},{"title":"Revoke a push token immediately","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /v0/connectors/{connector_id}/tokens/{token_id}","href":"/api-reference/connectors/revoke-a-push-token-immediately"},{"title":"Answer a declared source challenge","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/connectors/{connector_id}/api/{path}","href":"/api-reference/connectors/answer-a-declared-source-challenge"},{"title":"Push data to a declared source route","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/connectors/{connector_id}/api/{path}","href":"/api-reference/connectors/push-data-to-a-declared-source-route"},{"title":"Get connector","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/connectors/{connector_id}","href":"/api-reference/connectors/get-connector"},{"title":"Disable connector","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/connectors/{connector_id}/disable","href":"/api-reference/connectors/disable-connector"},{"title":"Pause connector","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/connectors/{connector_id}/pause","href":"/api-reference/connectors/pause-connector"},{"title":"Resume connector","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/connectors/{connector_id}/resume","href":"/api-reference/connectors/resume-connector"},{"title":"Replace connector credential","deprecated":null,"version":null,"openapi":"/openapi.yaml put /v0/connectors/{connector_id}/credential","href":"/api-reference/connectors/replace-connector-credential"},{"title":"Change connector schedule","deprecated":null,"version":null,"openapi":"/openapi.yaml put /v0/connectors/{connector_id}/schedule","href":"/api-reference/connectors/change-connector-schedule"},{"title":"Request connector run","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/connectors/{connector_id}/runs","href":"/api-reference/connectors/request-connector-run"}]},{"group":"Connector webhooks","pages":[{"title":"Relay connector challenge","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/connector-webhooks/{connector_id}","href":"/api-reference/connector-webhooks/relay-connector-challenge"},{"title":"Relay connector delivery","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/connector-webhooks/{connector_id}","href":"/api-reference/connector-webhooks/relay-connector-delivery"}]},{"group":"Connector kinds","pages":[{"title":"List connector kinds","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/connector-kinds","href":"/api-reference/connector-kinds/list-connector-kinds"}]},{"group":"Admin","pages":[{"title":"List audit events","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/audit","href":"/api-reference/admin/list-audit-events"},{"title":"List plugin registrations","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/plugins","href":"/api-reference/admin/list-plugin-registrations"},{"title":"Register plugin","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/admin/plugins","href":"/api-reference/admin/register-plugin"},{"title":"Get plugin registration","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/plugins/{registration_id}","href":"/api-reference/admin/get-plugin-registration"},{"title":"Activate plugin","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/admin/plugins/{registration_id}/activate","href":"/api-reference/admin/activate-plugin"},{"title":"Get pipeline plan","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/plugins/plans/{plan_id}","href":"/api-reference/admin/get-pipeline-plan"},{"title":"List pipeline plans","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/plugins/plans","href":"/api-reference/admin/list-pipeline-plans"},{"title":"Request backfill","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/admin/backfills","href":"/api-reference/admin/request-backfill"},{"title":"Promote vector space","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/admin/spaces/{vector_space_id}/promote","href":"/api-reference/admin/promote-vector-space"},{"title":"Get queue backlog","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/queues","href":"/api-reference/admin/get-queue-backlog"},{"title":"List quarantined versions","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/quarantine","href":"/api-reference/admin/list-quarantined-versions"},{"title":"Reprocess quarantine","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/admin/quarantine/reprocess","href":"/api-reference/admin/reprocess-quarantine"},{"title":"Migrate subscription evaluators","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/admin/subscriptions/evaluator-migrations","href":"/api-reference/admin/migrate-subscription-evaluators"},{"title":"List evaluation backlog","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/subscriptions/evaluation-backlog","href":"/api-reference/admin/list-evaluation-backlog"},{"title":"Retire evaluations","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/admin/subscriptions/evaluation-retirements","href":"/api-reference/admin/retire-evaluations"},{"title":"Get evaluation retirement","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/subscriptions/evaluation-retirements/{retirement_id}","href":"/api-reference/admin/get-evaluation-retirement"},{"title":"Rollback pipeline plan","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/admin/plugins/plan/rollback","href":"/api-reference/admin/rollback-pipeline-plan"},{"title":"Get active pipeline plan","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/plugins/plan","href":"/api-reference/admin/get-active-pipeline-plan"},{"title":"List active plugins","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/active-plugins","href":"/api-reference/admin/list-active-plugins"},{"title":"List admin documents","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/documents","href":"/api-reference/admin/list-admin-documents"},{"title":"Get document timeline","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/documents/{version_id}/timeline","href":"/api-reference/admin/get-document-timeline"},{"title":"Count accepted and refused pushes per source instance","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/stats/connector-pushes","href":"/api-reference/admin/count-accepted-and-refused-pushes-per-source-instance"},{"title":"Get plugin call stats","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/stats/plugins","href":"/api-reference/admin/get-plugin-call-stats"},{"title":"Get search stats","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/stats/searches","href":"/api-reference/admin/get-search-stats"},{"title":"Get step stats","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/stats/steps","href":"/api-reference/admin/get-step-stats"},{"title":"Get received stats","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/stats/received","href":"/api-reference/admin/get-received-stats"},{"title":"Get match stats","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/stats/matches","href":"/api-reference/admin/get-match-stats"},{"title":"Get top queries","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/admin/stats/top-queries","href":"/api-reference/admin/get-top-queries"}]},{"group":"Search","pages":[{"title":"Search records","deprecated":null,"version":null,"openapi":"/openapi.yaml post /v0/search","href":"/api-reference/search/search-records"},{"title":"List search profiles","deprecated":null,"version":null,"openapi":"/openapi.yaml get /v0/search/profiles","href":"/api-reference/search/list-search-profiles"}]},{"group":"Webhooks","pages":[{"title":"Receive monitoring notification","version":null,"deprecated":null,"openapi":"/openapi.yaml webhook monitoringNotification","href":"/api-reference/webhooks/receive-monitoring-notification"}]}]},{"group":"Command line","pages":[{"title":"Command-line reference","href":"/reference/cli"},{"title":"MCP reference","href":"/reference/mcp"}]},{"group":"Plugins","pages":[{"title":"Plugin manifest","href":"/reference/plugin-manifest"},{"title":"Plugin protocol","href":"/reference/plugin-protocol"}]},{"group":"Deployment","pages":[{"title":"Configuration","href":"/reference/configuration"}]}]}]},"basePath":"","title":"Get corpus - Quivr","buildId":"dpl_G2Qd45vZZ7MkBiGF9yYx8ZsbbKXX","deploymentId":"dpl_G2Qd45vZZ7MkBiGF9yYx8ZsbbKXX","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-NXj-Rqjv.js","utils-m0thOP-_.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D13EKcfm.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema--XTdfsEb.js","snippetPresets-D3s4lmAH.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-ChURybxL.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DL8CiXq2.js","shallow-DI2-YB2E.js","getApiPlaygroundDisplay-DxbW7b_y.js","CodeSnippet-CiNYS0pP.js","CodeSnippets-BT87bThu.js","Page-DSpdRuhM.js","getPastedJson-F_g_IrFQ.js","icon-CCIG5BAs.js","MethodPill-DY3E0jwx.js","DuplicateIcon-BN88xnEg.js","createIcon-VCCc5HO5.js","DynamicMarkdown-CaSwclgK.js","SectionHeading-DXV8nWhc.js","axios-vUo_bRtp.js","Markdown-CV32Re6G.js","clsx-5ydLOnhV.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-pFDdfjRe.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BUGO5bPJ.js"]}